<template>
  <div class="conversation">
    <Dialog
      v-for="conv in dialogs"
      :message="conv.message"
      :me="conv.me"
      :main="conv.main"
      :loading="conv.loading"
    />
  </div>
</template>

<script setup lang="ts">
import type { DialogType } from '@/types'
import Dialog from './Dialog.vue'

defineProps<{
  dialogs: DialogType[]
}>()
</script>

<style scoped lang="scss">
.conversation > div {
  margin: 40px 0;
}
</style>
